---
title: Accelerometer.Accelerometer()
slug: Web/API/Accelerometer/Accelerometer
tags:
  - API
  - Accelerometer
  - Accelerometer API
  - Constructor
  - Generic Sensor API
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}{{seecompattable}}</div>

<p><span class="seoSummary">The <strong><code>Accelerometer</code></strong> constructor creates a new {{domxref("Accelerometer")}} object which returns the acceleration of the device along all three axes at the time it is read.</span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>accelerometer</var> = new Accelerometer([<em>options</em>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>frequency</code>: The desired number of times per second a sample should be taken, meaning the number of times per second that {{domxref('sensor.onreading')}} will be called. A whole number or decimal may be used, the latter for frequencies less than a second. The actual reading frequency depends device hardware and consequently may be less than requested.</li>
  <li><code>referenceFrame</code>: Either <code>'device'</code> or <code>'screen'</code>. The default is <code>'device'</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Accelerometer','#accelerometer','Accelerometer')}}</td>
   <td>{{Spec2('Accelerometer')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Accelerometer.Accelerometer")}}</p>
